>From 8b49f17ed3fd777eb4cc561deab3ddeae7c4aeac Mon Sep 17 00:00:00 2001
From: Joshua Roys <roysjosh@gmail.com>
Date: Mon, 23 May 2011 11:13:11 -0400
Subject: [PATCH] ichspi: fix unused FREG detection

Signed-off-by: Joshua Roys <roysjosh@gmail.com>
---
 ichspi.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/ichspi.c b/ichspi.c
index 6370fb6..07127cd 100644
--- a/ichspi.c
+++ b/ichspi.c
@@ -1045,7 +1045,7 @@ static void do_ich9_spi_frap(uint32_t frap, int i)
 
 	base  = ICH_FREG_BASE(freg);
 	limit = ICH_FREG_LIMIT(freg);
-	if (base == 0x1fff && limit == 0) {
+	if ((base & 0x0fff) == 0x0fff && limit == 0) {
 		/* this FREG is disabled */
 		msg_pdbg("%s region is unused.\n", region_names[i]);
 		return;
-- 
1.7.3.4

